CVE-2012-2379

XML Signature/Encryption Not Validated in Apache CXF in maven/org.apache.cxf/cxf

Identifiers

GHSA-2g99-c67p-56hm, CVE-2012-2379

Package Slug

maven/org.apache.cxf/cxf

Vulnerability

XML Signature/Encryption Not Validated in Apache CXF

Description

Apache CXF 2.4.x before 2.4.8, 2.5.x before 2.5.4, and 2.6.x before 2.6.1, when a Supporting Token specifies a child WS-SecurityPolicy 1.1 or 1.2 policy, does not properly ensure that an XML element is signed or encrypted, which has unspecified impact and attack vectors.

Affected Versions

All versions starting from 2.4.0 before 2.4.8, all versions starting from 2.5.0 before 2.5.4, all versions starting from 2.6.0 before 2.6.1

Solution

Upgrade to versions 2.4.8, 2.5.4, 2.6.1 or above.

Last Modified

2022-07-24

source